## kate 4.10.5

=== debian/changelog ===
kate (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:37:35 +0200

kate (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:22:23 +0200

kate (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)
    - add new file to kate-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:04:04 +0200

kate (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:37:50 +0200

kate (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
  * refresh kate-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:14:47 +0000

kate (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:32:37 +0000

kate (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:58:53 +0000

kate (4:4.9.97-0ubuntu1~ubuntu13.04) raring-proposed; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate

  [ Rohan Garg ]
  * Add kubuntu_pate_find_python.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:25:27 +0100

kate (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release
  * Add build-dep on libpython2.7-dev
  * Add kubuntu_multiarch_python.diff to work around multiarch python

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:17:40 +0000

kate (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release
  * Remove fix_pate_includes.diff now upstream
  * Remove kubuntu_kate_initial_preference.patch now upstream
  * Update .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:37:41 +0000

kate (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Add build-dep on python-dev packages and add pate files to kate.install

  [ Scott Kitterman ]
  * Add libkactivities-dev, libqtwebkit-dev, and libqt4-opengl-dev to
    build-depends
  * Add debian/patches/fix_pate_includes.diff to add Qt webkit includes for
    pate
  * Update kate, kate-part, and kate-data install files for upstream additions
    and deletions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Nov 2012 02:42:57 -0500

kate (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  [ Philip Muškovac ]
  * New upstream release (LP: #1074747)

  [ Harald Sitter ]
  * Restore kubuntu_kate_initial_preference.patch lost in the split from
    kdesdk (LP: #1062086). It ensures that kate is chosen over other text
    processing apps (namely libreoffice-writer) for the file types kate
    is associated with (such as text/*)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 06 Nov 2012 22:23:17 +0100

kate (4:4.8.3-0r1) raring-proposed; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Update installed files.
  * Update not-installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Eshat Cakar <info@eshat.de>  Thu, 08 Mar 2012 18:29:52 +0100

kate (4:4.7.4-3) raring-proposed; urgency=low

  [ Pino Toscano ]
  * Drop README.Debian, wrongly copied from kde4libs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 12:13:57 +0100

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: cmake,
 debhelper (>= 7.3.16), 
 kdelibs5-dev (>= 4:4.10.5),
 pkg-kde-tools (>= 0.12),
 libkactivities-dev (>= 4:4.10.5),
 libpython2.7-dev,
 python-sip-dev,
 python-qt4-dev,
 python-kde4-dev (>= 4:4.9.80),
 libqjson-dev,
 libqt4-opengl-dev,
 libqtwebkit-dev
Standards-Version: 3.9.3
Homepage: http://kate-editor.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git

Package: kate
Section: editors
Architecture: any
Depends: kate-data (>= ${source:Version}),
 katepart (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: aspell | ispell | hspell, khelpcenter4, konsole
Description: K Advanced Text Editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation
 .
 This package is part of the KDE 4 Base applications module.

Package: katepart
Architecture: any
Depends: kate-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kdelibs5-data (<< 4:4.6.90), kdelibs5-plugins (<< 4:4.6.90), 
 kate (<< 4:4.7.0)
Replaces: kdelibs5-data (<< 4:4.6.90), kdelibs5-plugins (<< 4:4.6.90), 
 kate (<< 4:4.7.0)
Description: kate KPart
 KatePart is a fast and featurerich text editor component. It implements the
 KTextEditor interfaces, a common interface collection for text editor
 components in KDE.

Package: kate-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kate (<< 4:4.6.90), kdelibs5-data (<< 4:4.6.90)
Replaces: kate (<< 4:4.6.90), kdelibs5-data (<< 4:4.6.90)
Description: shared data files for kate
 This package contains the architecture-independent shared data files needed
 for kate.
 .
 This package is part of the KDE 4 Base applications module.

#Package: kate-dev
#Architecture: any
#Section: devel
#Depends: kate (= ${binary:Version}),
#         libkateinterfaces4 (= ${binary:Version}),
#         libkatepartinterfaces4 (= ${binary:Version}),
#         ${misc:Depends},
#         ${shlibs:Depends}
#Description: Development files for Kate
# Kate is a powerful text editor that can open multiple files simultaneously.
# .
# This package contains the development files for Kate
# .
# This package is part of the KDE 4 Base applications module.

Package: libkatepartinterfaces4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kate part library
 This library contains the code used by the kate part. It is not
 meant to be used directly, applications should use libktexteditor4
 instead.
 .
 This package is a part of KDE 4 Base applications module.

Package: libkateinterfaces4
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kate (<< 4:4.6.90)
Replaces: kate (<< 4:4.6.90)
Description: kate plugin interface library
 This library contains the code used by kate plugins that provide a better
 integration into the app like tool views
 .
 This package is part of the KDE 4 Base applications module

Package: kwrite
Section: editors
Architecture: any
Depends: katepart (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: simple graphical text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.
 .
 This package is part of the KDE 4 Base applications module.

Package: kate-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, katepart (= ${binary:Version}),
 kde-runtime-dbg (>= 4:4.6.90)
Breaks: kdebase-dbg (<< 4:4.6.90),
 kdelibs5-dbg (<< 4:4.6.90),
 kdesdk-dbg (<< 4:4.6.90)
Replaces: kdebase-dbg (<< 4:4.6.90),
 kdelibs5-dbg (<< 4:4.6.90),
 kdesdk-dbg (<< 4:4.6.90)
Description: debugging symbols for Kate
 This package contains debugging files used to investigate problems with
 binaries included in Kate.
 .
 This package is part of the KDE 4 base applications module.

## kate 4.11.2a

=== debian/changelog ===
kate (4:4.11.2a-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * New upstream bugfix release
  * Set PYTHON_LIBRARY manually, fixes LP: #1233215 Python plugins fail
    to load

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 30 Sep 2013 13:59:34 +0100

kate (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:07:03 +0100

kate (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:59:54 +0100

kate (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:07:46 +0100

kate (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Add new syntax files to kate-data

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:54 +0000

kate (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:00:49 +0100

kate (4:4.10.80-0ubuntu2) saucy; urgency=low

  * kate-data breaks/replaces kate << 4:4.10.80 for moved pate files 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 22 Jun 2013 15:51:54 +0200

kate (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Update and sort install files
    - Drop kubuntu_pate_find_python.diff, kubuntu_kate_initial_preference.patch,
      kubuntu_find_python.diff from debian/patches , not required

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:48:29 +0100

kate (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:37:25 +0100

kate (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - Add patches kubuntu_find_python.diff,
     kubuntu_kate_initial_preference.patch,
     kubuntu_pate_find_python.diff
   - build-dep on python and libqt4-opengl-dev and libqtwebkit-dev
   - in debian/rules Move go.xml to go-lang.xml in rules and
     kate-data.install to prevent clash with golang kate-syntax-go (LP:
     #968734)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:08:44 +0000

kate (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Add the pkg-config build dependency.

  [ Sune Vuorela ]
  * Update uploaders.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:30:04 +0200

kate (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kdelibs5-dev build dependency to version 4:4.10.
  * Add build depends:
    - libkactivities-dev
    - libqjson-dev
  * Update installed files.
  * Add lintian override for hardening-no-fortify-functions.
  * Merge 4:4.7.4-3 changelog entry into 4:4.8.3-1, because the former was
    never uploaded to debian.
  * In debian/rules, create an ${allLibraries} variable for kate-dbg instead of
    kdepimlibs-dbg; it was a typo.

  [ Josep Febrer ]
  * Update installed files.
  * Update not-installed files.
  * Bump kde-sc-dev-latest build dependency to version 4:4.10.1.
  * Update copyright file.

  [ Sune Vuorela ]
  * Add me to uploaders

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Apr 2013 06:43:08 +0000

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,28 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>
+Uploaders: Modestas Vainius <modax@debian.org>,
+ Sune Vuorela <sune@debian.org>
 Build-Depends: cmake,
- debhelper (>= 7.3.16), 
- kdelibs5-dev (>= 4:4.10.5),
+ debhelper (>= 7.3.16),
+ kde-sc-dev-latest (>= 4:4.10.1),
+ kdelibs5-dev (>= 4:4.11.2),
+ libkactivities-dev (>= 4:4.11.2),
+ libqjson-dev,
+ pkg-config,
  pkg-kde-tools (>= 0.12),
- libkactivities-dev (>= 4:4.10.5),
  libpython2.7-dev,
  python-sip-dev,
  python-qt4-dev,
  python-kde4-dev (>= 4:4.9.80),
- libqjson-dev,
  libqt4-opengl-dev,
  libqtwebkit-dev
 Standards-Version: 3.9.3
 Homepage: http://kate-editor.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git
 
 Package: kate
 Section: editors
@@ -64,28 +66,13 @@
 Package: kate-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kate (<< 4:4.6.90), kdelibs5-data (<< 4:4.6.90)
-Replaces: kate (<< 4:4.6.90), kdelibs5-data (<< 4:4.6.90)
+Breaks: kate (<< 4:4.10.80), kdelibs5-data (<< 4:4.6.90)
+Replaces: kate (<< 4:4.10.80), kdelibs5-data (<< 4:4.6.90)
 Description: shared data files for kate
  This package contains the architecture-independent shared data files needed
  for kate.
  .
  This package is part of the KDE 4 Base applications module.
-
-#Package: kate-dev
-#Architecture: any
-#Section: devel
-#Depends: kate (= ${binary:Version}),
-#         libkateinterfaces4 (= ${binary:Version}),
-#         libkatepartinterfaces4 (= ${binary:Version}),
-#         ${misc:Depends},
-#         ${shlibs:Depends}
-#Description: Development files for Kate
-# Kate is a powerful text editor that can open multiple files simultaneously.
-# .
-# This package contains the development files for Kate
-# .
-# This package is part of the KDE 4 Base applications module.
 
 Package: libkatepartinterfaces4
 Architecture: any
@@ -125,7 +112,7 @@
 Architecture: any
 Priority: extra
 Depends: ${misc:Depends}, katepart (= ${binary:Version}),
- kde-runtime-dbg (>= 4:4.6.90)
+ kde-runtime-dbg (>= 4:4.6.90), ${allLibraries}
 Breaks: kdebase-dbg (<< 4:4.6.90),
  kdelibs5-dbg (<< 4:4.6.90),
  kdesdk-dbg (<< 4:4.6.90)

## kate 4.11.5

=== debian/changelog ===
kate (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)
  * Remove python plugins that require python3 from kate-data.install
    as they're not installed anymore with python2 as default

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:27:55 +0100

kate (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:39:54 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: cmake,
  debhelper (>= 7.3.16),
  kde-sc-dev-latest (>= 4:4.10.1),
- kdelibs5-dev (>= 4:4.11.2),
- libkactivities-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.5),
+ libkactivities-dev (>= 4:4.11.3),
  libqjson-dev,
  pkg-config,
  pkg-kde-tools (>= 0.12),
@@ -21,8 +21,8 @@
  libqtwebkit-dev
 Standards-Version: 3.9.3
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git

## kate 4.12.3

=== debian/changelog ===
kate (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:24:14 +0100

kate (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:23:44 +0100

kate (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:39:36 +0000

kate (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:58:46 +0000

kate (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:28:23 +0000

kate (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:34:43 +0000

kate (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:46:09 +0100

kate (4:4.11.80-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release

  [ Ovidiu-Florin Bogdan ]
  * Update the katepart install file, added the new files to it

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:28:40 +0100

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,21 @@
 Build-Depends: cmake,
  debhelper (>= 7.3.16),
  kde-sc-dev-latest (>= 4:4.10.1),
- kdelibs5-dev (>= 4:4.11.5),
- libkactivities-dev (>= 4:4.11.3),
+ kdelibs5-dev (>= 4:4.12.3),
+ libkactivities-dev (>= 4:4.12.3),
  libqjson-dev,
  pkg-config,
  pkg-kde-tools (>= 0.12),
- libpython2.7-dev,
+ python2.7-dev,
  python-sip-dev,
  python-qt4-dev,
- python-kde4-dev (>= 4:4.9.80),
+ python-kde4-dev (>= 4:4.9),
  libqt4-opengl-dev,
  libqtwebkit-dev
 Standards-Version: 3.9.3
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kate
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kate.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kate.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kate-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk
include /usr/share/dpkg/architecture.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false -DPYTHON_LIBRARY=/usr/lib/libpython2.7.so.1

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kate-dbg

override_dh_install:
	mv debian/tmp/usr/share/kde4/apps/katepart/syntax/go.xml debian/tmp/usr/share/kde4/apps/katepart/syntax/go-lang.xml
	dh_install

## kate 4.13.0

=== kate/CMakeLists.txt ===
project(kate)

add_definitions ( -DKDE_DEFAULT_DEBUG_AREA=13001 )

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/interfaces)

add_subdirectory( interfaces/kate )
add_subdirectory( app )
add_subdirectory( filetree )
add_subdirectory( data )


install( FILES interfaces/kate_export.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
  ${CMAKE_SOURCE_DIR}/part
  ${CMAKE_SOURCE_DIR}/part/buffer
  ${CMAKE_SOURCE_DIR}/part/completion
  ${CMAKE_SOURCE_DIR}/part/dialogs
  ${CMAKE_SOURCE_DIR}/part/document
  ${CMAKE_SOURCE_DIR}/part/script
  ${CMAKE_SOURCE_DIR}/part/mode
  ${CMAKE_SOURCE_DIR}/part/render
  ${CMAKE_SOURCE_DIR}/part/search
  ${CMAKE_SOURCE_DIR}/part/syntax
  ${CMAKE_SOURCE_DIR}/part/undo
  ${CMAKE_SOURCE_DIR}/part/utils
  ${CMAKE_SOURCE_DIR}/part/vimode
  ${CMAKE_SOURCE_DIR}/part/view
  ${CMAKE_SOURCE_DIR}/part/kte5 # KDE5 remove
  ${CMAKE_BINARY_DIR}/part
  ${KDE4_KIO_INCLUDES}
)

set (KATE_TEST_LINK_LIBS ${KDE4_KDECORE_LIBS} ${QT_QTSCRIPT_LIBRARY} ${QT_QTTEST_LIBRARY} ${KDE4_KCMUTILS_LIBS} ${KDE_4_4_LIBS_NEEDED} ktexteditor katepartinterfaces)

# buffer test
kde4_add_unit_test(katetextbuffertest katetextbuffertest.cpp katetextbuffertest.h)
target_link_libraries (katetextbuffertest ${KATE_TEST_LINK_LIBS})

########### range test ###############

kde4_add_unit_test(range_test TESTNAME kate-range_test range_test.cpp)

target_link_libraries( range_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### next target ###############

if(NOT MINGW)

########### undomanager test ###############

kde4_add_unit_test(undomanager_test TESTNAME kate-undomanager_test undomanager_test.cpp)

target_link_libraries( undomanager_test ${KATE_TEST_LINK_LIBS}
)

########### plaintextsearch test ###############

kde4_add_unit_test(plaintextsearch_test TESTNAME kate-plaintextsearch_test plaintextsearch_test.cpp)

target_link_libraries( plaintextsearch_test ${KATE_TEST_LINK_LIBS}
)

########### regexpsearch test ###############

kde4_add_unit_test(regexpsearch_test TESTNAME kate-regexpsearch_test regexpsearch_test.cpp)

target_link_libraries( regexpsearch_test ${KATE_TEST_LINK_LIBS}
)

########### scriptdocument test ###############

kde4_add_unit_test(scriptdocument_test TESTNAME kate-scriptdocument_test scriptdocument_test.cpp)

target_link_libraries( scriptdocument_test ${KATE_TEST_LINK_LIBS}
)

########### completion test ###############

set(completion_test_SRCS
  completion_test.cpp
  codecompletiontestmodel.cpp
)

kde4_add_unit_test(completion_test TESTNAME kate-completion_test ${completion_test_SRCS})

target_link_libraries( completion_test ${KATE_TEST_LINK_LIBS}
)
########### word completion test ###############

kde4_add_unit_test(wordcompletion_test TESTNAME kate-wordcompletion_test wordcompletiontest.cpp)

target_link_libraries( wordcompletion_test ${KATE_TEST_LINK_LIBS}
)

########### searchbar test ###############

kde4_add_unit_test(searchbar_test TESTNAME kate-searchbar_test searchbar_test.cpp)

target_link_libraries( searchbar_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### vimode test ###############

kde4_add_unit_test(vimode_test TESTNAME kate-vimode_test vimode_test.cpp)



target_link_libraries( vimode_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### cursor test ###############

kde4_add_unit_test(movingcursor_test TESTNAME kate-movingcursor_test movingcursor_test.cpp)

target_link_libraries( movingcursor_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### moving range and feedback test ###############

kde4_add_unit_test(movingrange_test TESTNAME kate-movingrange_test movingrange_test.cpp)

target_link_libraries( movingrange_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### document test ###############

kde4_add_unit_test(katedocument_test TESTNAME kate-katedocument_test katedocument_test.cpp)

target_link_libraries( katedocument_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### view test ###############

kde4_add_unit_test(kateview_test TESTNAME kate-kateview_test kateview_test.cpp)

target_link_libraries( kateview_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### revision test ###############

kde4_add_unit_test(revision_test TESTNAME kate-revision_test revision_test.cpp)

target_link_libraries( revision_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### line modification test ###############

kde4_add_unit_test(modificationsystem_test TESTNAME kate-modificationsystem_test modificationsystem_test.cpp)

target_link_libraries( modificationsystem_test ${KATE_TEST_LINK_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### templatehandler test ###############

kde4_add_unit_test(templatehandler_test TESTNAME kate-templatehandler_test templatehandler_test.cpp)

target_link_libraries( templatehandler_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### text folding test ###############

kde4_add_unit_test(katecodefoldingtest TESTNAME codefoldingtest katefoldingtest.cpp)

target_link_libraries( katecodefoldingtest
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### indenting test ################

set(indenttest_SRCS
  indenttest.cpp
  script_test_base.cpp
  testutils.cpp
)

kde4_add_unit_test(indenttest TESTNAME kate-indenttest ${indenttest_SRCS})

target_link_libraries(indenttest ${KATE_TEST_LINK_LIBS})

########### commands test ################

set(commands_test_SRCS
  commands_test.cpp
  script_test_base.cpp
  testutils.cpp
)

kde4_add_unit_test(commands_test TESTNAME kate-commands_test ${commands_test_SRCS})

target_link_libraries(commands_test ${KATE_TEST_LINK_LIBS})

########### scripting test ################

set(scripting_test_SRCS
  scripting_test.cpp
  script_test_base.cpp
  testutils.cpp
)

kde4_add_unit_test(scripting_test TESTNAME kate-scripting_test ${scripting_test_SRCS})

target_link_libraries(scripting_test ${KATE_TEST_LINK_LIBS})

########### bug 286887 test ###############

kde4_add_unit_test(bug286887_test TESTNAME kate-bug286887_test bug286887.cpp)
set_tests_properties(kate-bug286887_test PROPERTIES TIMEOUT 4)

target_link_libraries( bug286887_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### bug 313759 test ###############

set(bug313759_SRCS
  bug313759.cpp
  testutils.cpp
)

kde4_add_unit_test(bug313759_test TESTNAME kate-bug313759_test ${bug313759_SRCS})

target_link_libraries(bug313759_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### bug 313769 test ###############

kde4_add_unit_test(bug313769_test TESTNAME kate-bug313769_test bug313769.cpp)

target_link_libraries( bug313769_test
 ${KDE4_KDEUI_LIBS}
 ${QT_QTTEST_LIBRARY}
 ${KATE_TEST_LINK_LIBS}
 katepartinterfaces
)

########### bug 317111 test ###############

set(bug317111_SRCS
  bug317111.cpp
  testutils.cpp
)

kde4_add_unit_test(bug317111_test TESTNAME kate-bug317111_test ${bug317111_SRCS})

target_link_libraries( bug317111_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### KTextEditor::DocumentCursor test ###############

kde4_add_unit_test(kte_documentcursor_test TESTNAME kte-documentcursor_test kte_documentcursor.cpp)

target_link_libraries( kte_documentcursor_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

########### KTextEditor::MessageInterface test ###############

kde4_add_unit_test(kte_messageinterface_test TESTNAME kte-messageinterface messagetest.cpp)

target_link_libraries( kte_messageinterface_test
  ${KDE4_KDEUI_LIBS}
  ${QT_QTTEST_LIBRARY}
  ${KATE_TEST_LINK_LIBS}
  katepartinterfaces
)

endif(NOT MINGW)

# encoding tets
add_subdirectory (encoding)

=== doc/kate/CMakeLists.txt ===
########### install files ###############

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)
kde4_create_manpage(man-kate.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== doc/kwrite/CMakeLists.txt ===
########### install files ###############
#
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)

=== addons/kate/gdbplugin/CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )

# building separately or as part of kdesdk?
if(NOT KDE4_FOUND)
    find_package(KDE4 REQUIRED)
    ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=13040)
endif(NOT KDE4_FOUND)

include_directories(${KDE4_INCLUDES})
include_directories(${KDE4_KIO_INCLUDES})
include_directories(${CMAKE_CURRENT_BINARY_DIR})


set(kategdbplugin_PART_SRCS 
    plugin_kategdb.cpp 
    debugview.cpp 
    configview.cpp 
    ioview.cpp
    localsview.cpp
    advanced_settings.cpp
)

kde4_add_ui_files(kategdbplugin_PART_SRCS advanced_settings.ui)

kde4_add_plugin( kategdbplugin ${kategdbplugin_PART_SRCS} )
target_link_libraries( kategdbplugin ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KTEXTEDITOR_LIBS} kateinterfaces )

install( FILES ui.rc DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/kategdb )
install( TARGETS kategdbplugin DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kategdbplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
kde4_install_icons( ${ICON_INSTALL_DIR} )

=== addons/kate/katesql/CMakeLists.txt ===
if(NOT KDE4_FOUND)
  find_package(KDE4 REQUIRED)
  include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )
endif(NOT KDE4_FOUND)

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )

set(katesql_SRCS
  katesqlplugin.cpp
  katesqlview.cpp
  connectionmodel.cpp
  sqlmanager.cpp
  cachedsqlquerymodel.cpp
  dataoutputmodel.cpp
  dataoutputview.cpp
  dataoutputwidget.cpp
  textoutputwidget.cpp
  schemawidget.cpp
  schemabrowserwidget.cpp
  connectionwizard.cpp
  katesqlconfigpage.cpp
  exportwizard.cpp
  outputstylewidget.cpp
  outputwidget.cpp
)

kde4_add_plugin(katesqlplugin ${katesql_SRCS})

add_subdirectory(pics)

target_link_libraries(katesqlplugin ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTSQL_LIBRARY} kateinterfaces ${KDE4_KTEXTEDITOR_LIBS} )

install(TARGETS katesqlplugin DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install( FILES ui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kate/plugins/katesql )
install( FILES katesql.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kate/interfaces/kate/CMakeLists.txt ===
# install development headers
install( FILES application.h documentmanager.h mainwindow.h plugin.h pluginconfigpageinterface.h pluginmanager.h DESTINATION ${INCLUDE_INSTALL_DIR}/kate COMPONENT Devel)

=== addons/kate/pate/src/CMakeLists.txt ===
# This file is part of Pate, Kate' Python scripting plugin.
#
# Copyright (C) 2006 Paul Giannaros <paul@giannaros.org>
# Copyright (C) 2012, 2013 Shaheed Haque <srhaque@theiet.org>
# Copyright (C) 2013 Alex Turbov <i.zaufi@gmail.com>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# by default only QtCore and QtGui modules are enabled
# other modules must be enabled like this:

set(QT_USE_QTWEBKIT TRUE)
set(sources engine.cpp plugin.cpp utilities.cpp )

# NOTE Disable trivial Qt keywords due conflicts w/ some Python.h header
# (at least version 3.3 of it has a member PyType_Spec::slots)
add_definitions(-DQT_NO_KEYWORDS)

kde4_add_ui_files(sources manager.ui)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

kde4_add_plugin(katepateplugin ${sources})

target_link_libraries(
    katepateplugin
    ${KDE4_KDEUI_LIBS}
    ${PYTHON_LIBRARY}
    ${QT_QTWEBKIT_LIBRARY}
    kateinterfaces
  )

install(TARGETS katepateplugin DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES katepythonplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR})
install(FILES pate.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES ui.rc DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katepateplugin)

# Install "built-in" plugins
install(
    DIRECTORY kate
    DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/pate
    FILES_MATCHING PATTERN "*.py"
  )

# Dive into plugins crowd
add_subdirectory(plugins)
add_subdirectory(test)

# kate: indent-width 4;

=== debian/changelog ===
kate (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:40:02 +0100

kate (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:11:31 +0200

kate (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:58:21 +0100

kate (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * Update install files

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Override license-problem-json-evil for js_lint.py as the file only
    references the evil file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:38:16 +0000

kate (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:31:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
 Build-Depends: cmake,
  debhelper (>= 7.3.16),
  kde-sc-dev-latest (>= 4:4.10.1),
- kdelibs5-dev (>= 4:4.12.3),
- libkactivities-dev (>= 4:4.12.3),
+ kdelibs5-dev (>= 4:4.13.0),
+ libkactivities-dev (>= 4:4.13.0),
  libqjson-dev,
  pkg-config,
  pkg-kde-tools (>= 0.12),
- python2.7-dev,
+ libpython2.7-dev,
  python-sip-dev,
  python-qt4-dev,
- python-kde4-dev (>= 4:4.9),
+ python-kde4-dev (>= 4:4.9.80),
  libqt4-opengl-dev,
  libqtwebkit-dev
 Standards-Version: 3.9.3

## kate 4.13.3

=== addons/CMakeLists.txt ===
# KTextEditor plugins, for the kate part
add_subdirectory (ktexteditor)

# Kate plugins
add_subdirectory (kate)

# Plasma applets
add_subdirectory (plasma)

=== part/data/CMakeLists.txt ===
install( FILES katepartui.rc katepartsimpleui.rc  DESTINATION  ${DATA_INSTALL_DIR}/katepart )
install( FILES katepart.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES katemoderc kateschemarc katesyntaxhighlightingrc DESTINATION  ${CONFIG_INSTALL_DIR} )

=== tests/encoding/CMakeLists.txt ===
# test executable for encoding
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
kde4_add_executable(kateencodingtest NOGUI kateencodingtest.cpp)
target_link_libraries(kateencodingtest ${KATE_TEST_LINK_LIBS})

# test macro for encoding tests
MACRO(KATE_ENCODING_TEST _encoding _testname)
  ADD_TEST (${_testname}_create kateencodingtest ${_encoding} ${CMAKE_CURRENT_SOURCE_DIR}/${_testname} ${CMAKE_CURRENT_BINARY_DIR}/${_testname} )
  ADD_TEST (${_testname}_diff ${CMAKE_COMMAND} -E compare_files ${CMAKE_CURRENT_SOURCE_DIR}/${_testname} ${CMAKE_CURRENT_BINARY_DIR}/${_testname} )
ENDMACRO(KATE_ENCODING_TEST)

# add tests

# this file is utf-8, simple
KATE_ENCODING_TEST ("utf-8" "utf8.txt")

# this file is latin15, but fallback should work!
KATE_ENCODING_TEST ("utf-8" "latin15.txt")

# this file is utf32, little endian, but fallback should work!
KATE_ENCODING_TEST ("utf-8" "utf32.txt")

# this file is utf16, little endian, but fallback should work!
KATE_ENCODING_TEST ("utf-8" "utf16.txt")

# this file is utf32, big endian, but fallback should work!
KATE_ENCODING_TEST ("utf-8" "utf32be.txt")

# this file is utf16, big endian, but fallback should work!
KATE_ENCODING_TEST ("utf-8" "utf16be.txt")

# cyrillic utf-8
KATE_ENCODING_TEST ("utf-8" "cyrillic_utf8.txt")

# cyrillic cp1251
KATE_ENCODING_TEST ("utf-8" "cp1251.txt")

# cyrillic koi8-r
KATE_ENCODING_TEST ("utf-8" "koi8-r.txt")

# one character latin-15 test, segfaulted
KATE_ENCODING_TEST ("utf-8" "one-char-latin-15.txt")

=== addons/kate/close-except-like/CMakeLists.txt ===
set(VERSION_MAJOR 0)
set(VERSION_MINOR 3)
set(VERSION_PATCH 5)
set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

set(KATE_CLOSE_EXCEPT_PLUGIN_SOURCES
    close_confirm_dialog.cpp
    close_except_plugin.cpp
  )

kde4_add_plugin(katecloseexceptplugin ${KATE_CLOSE_EXCEPT_PLUGIN_SOURCES})

target_link_libraries(katecloseexceptplugin
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KFILE_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
    kateinterfaces
  )

configure_file(config.h.in config.h)

install(TARGETS katecloseexceptplugin DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES ui.rc DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/katecloseexceptplugin)
install(FILES katecloseexceptplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== kate/data/icons/CMakeLists.txt ===
########### install files ###############
kde4_install_icons( ${ICON_INSTALL_DIR} )

=== part/syntax/data/CMakeLists.txt ===
########### install files ###############

add_custom_target(GeneratePhpXmlFiles ALL DEPENDS
 ${CMAKE_CURRENT_BINARY_DIR}/css-php.xml
 ${CMAKE_CURRENT_BINARY_DIR}/html-php.xml
 ${CMAKE_CURRENT_BINARY_DIR}/javascript-php.xml )


macro(GENERATE_PHP_XML targetFile srcFile)
  add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${targetFile}
  COMMAND ${PERL_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/generate-php.pl < ${CMAKE_CURRENT_SOURCE_DIR}/${srcFile} > ${CMAKE_CURRENT_BINARY_DIR}/${targetFile}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${srcFile} )
endmacro(GENERATE_PHP_XML)

generate_php_xml(javascript-php.xml javascript.xml)
generate_php_xml(css-php.xml css.xml)
generate_php_xml(html-php.xml html.xml)

file(GLOB HIGHLIGHTERS "${CMAKE_CURRENT_SOURCE_DIR}/*.xml")

install( FILES language.dtd syntax.template ${HIGHLIGHTERS}
               ${CMAKE_CURRENT_BINARY_DIR}/html-php.xml ${CMAKE_CURRENT_BINARY_DIR}/css-php.xml ${CMAKE_CURRENT_BINARY_DIR}/javascript-php.xml
               DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax)

=== addons/kate/pate/src/plugins/CMakeLists.txt ===
# Copyright (C) 2012, 2013 Shaheed Haque <srhaque@theiet.org>
# Copyright (C) 2013 Alex Turbov <i.zaufi@gmail.com>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

include(CMakeParseArguments)

#
# Simple helper function to install plugin and related files
# having only a name of the plugin...
# (just to reduce syntactic noise when a lot of plugins get installed)
#
function(install_pate_plugin name)
    set(_options)
    set(_one_value_args)
    set(_multi_value_args PATTERNS FILE)
    cmake_parse_arguments(install_pate_plugin "${_options}" "${_one_value_args}" "${_multi_value_args}" ${ARGN})
    if(NOT name)
        message(FATAL_ERROR "Plugin filename is not given")
    endif()
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${name}.py)
        install(FILES katepate_${name}.desktop DESTINATION ${SERVICES_INSTALL_DIR})
        foreach(_f ${name}.py ${name}.ui ${name}_ui.rc ${install_pate_plugin_FILE})
            if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_f})
                install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${_f} DESTINATION ${DATA_INSTALL_DIR}/kate/pate)
            endif()
        endforeach()
    elseif(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${name})
        install(FILES ${name}/katepate_${name}.desktop DESTINATION ${SERVICES_INSTALL_DIR})
        install(
            DIRECTORY ${name}
            DESTINATION ${DATA_INSTALL_DIR}/kate/pate
            FILES_MATCHING
                PATTERN "*.py"
                PATTERN "*.ui"
                PATTERN "*_ui.rc"
                PATTERN "__pycache__*" EXCLUDE
           )
        # TODO Is there any way to form a long PATTERN options string
        # and use it in a single install() call?
        # NOTE Install specified patterns one-by-one...
        foreach(_pattern ${install_pate_plugin_PATTERNS})
            install(
                DIRECTORY ${name}
                DESTINATION ${DATA_INSTALL_DIR}/kate/pate
                FILES_MATCHING
                    PATTERN "${_pattern}"
                    PATTERN "__pycache__*" EXCLUDE
              )
        endforeach()
    else()
        message(FATAL_ERROR "Do not know what to do with ${name}")
    endif()
endfunction()

# TODO The following plugins must be ported to new style...
# install_pate_plugin(django_utils)
# install_pate_plugin(gdb)

install_pate_plugin(block)
install_pate_plugin(color_tools)
install_pate_plugin(commentar)
install_pate_plugin(format)
install_pate_plugin(gid)
install_pate_plugin(python_autocomplete_jedi)
install_pate_plugin(python_console_classic)
install_pate_plugin(python_console_ipython PATTERNS "*.css")
install_pate_plugin(python_utils)
install_pate_plugin(try_open_file)
install_pate_plugin(xml_pretty)

if(PYTHON_VERSION_MAJOR VERSION_EQUAL 3)
    install_pate_plugin(cmake_utils)
    install_pate_plugin(js_utils PATTERNS "*.json")
    install_pate_plugin(expand PATTERNS "*.expand" "templates/*.tpl")
endif()

if(PYTHON_VERSION_MAJOR VERSION_EQUAL 2)
    install_pate_plugin(python_autocomplete)
endif()

install(
    DIRECTORY libkatepate
    DESTINATION ${DATA_INSTALL_DIR}/kate/pate
    FILES_MATCHING
        PATTERN "*.py"
        PATTERN "__pycache__*" EXCLUDE
  )

=== debian/changelog ===
kate (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:21:59 +0200

kate (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:46:25 +0200

kate (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Build-Depends: cmake,
  debhelper (>= 7.3.16),
  kde-sc-dev-latest (>= 4:4.10.1),
- kdelibs5-dev (>= 4:4.13.0),
- libkactivities-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
+ libkactivities-dev (>= 4:4.13.3),
  libqjson-dev,
  pkg-config,
  pkg-kde-tools (>= 0.12),

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/dpkg/architecture.mk
 
 override_dh_auto_configure:
-	$(overridden_command) -- -DKDE4_BUILD_TESTS=false -DPYTHON_LIBRARY=/usr/lib/libpython2.7.so.1
+	$(overridden_command) -- -DKDE4_BUILD_TESTS=false -DPYTHON_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython2.7.so.1
 
 .PHONY: override_dh_auto_test

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kate-([\d\.]*).tar.xz
